package org.ten60.netkernel.test.self;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.w3c.dom.Document;

public class SelfTestAssertAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext helper) throws Exception
	{	if (helper.getThisRequest().argumentExists("result"))
		{
			Object result=helper.source("arg:result");
			Boolean b=result instanceof org.netkernel.layer0.representation.IReadableBinaryStreamRepresentation | result instanceof INKFResponseReadOnly;
			helper.createResponseFrom(b);
		}
		if(helper.getThisRequest().argumentExists("literal"))
		{
			Object result=helper.source("arg:literal");
			Boolean b=result instanceof Document;
			if(!b)
			{	helper.sink("active:assert/Expected", "org.w3c.dom.Document");
				helper.sink("active:assert/Received", result.getClass().getName());
			}
			helper.createResponseFrom(b);
			
		}
	}		
}
